create extension if not exists postgis;

create sequence listing_id;

create table listing_versions(
  id                 bigserial primary key,
  listing_id         text not null,
  property_id        text not null,
  tenancy_id         text not null,
  status             int4 not null,
  description        jsonb not null,
  details            jsonb not null,
  people             jsonb not null,
  rental             jsonb not null,
  location           jsonb not null,
  gps                geography(POINT,4326),
  verification       jsonb not null,
  created            timestamp not null default now(),
  updated            timestamp not null default now(),
  awaiting_deposit   boolean not null,
  listing_start_date timestamp not null,
  listing_end_date   timestamp not null
);

create table nearby(
  id              bigserial primary key,
  listing_version bigserial unique not null ,
  created         timestamp not null default now(),
  stations        jsonb not null
);

create index listing_versions_gps ON listing_versions using gist(gps);
