drop sequence listing_id;

drop table listing_versions;

drop table nearby;

create sequence listing_id_seq;

create table versions(
  id           bigserial primary key,
  listing_id   text not null,
  property_id  text not null,
  tenancy_id   text not null,
  ivr          text not null,
  status       int4 not null,
  description  jsonb not null,
  details      jsonb not null,
  people       jsonb not null,
  rental       jsonb not null,
  location     jsonb not null,
  gps          geography(POINT,4326),
  verification jsonb not null,
  validation   jsonb not null,
  invitation   jsonb not null,
  created      timestamp not null default now(),
  updated      timestamp not null default now(),
  migration_id text not null default '' -- temporary
);

create index versions_gps on versions using gist(gps);

create table version_publications(
  id              bigserial primary key,
  platform        int4 not null,
  listing_id      text not null,
  publication_id  text not null,
  publication_url text not null,
  published_by    text not null,
  unpublished_by  text not null,
  published_at    timestamp not null default now(),
  unpublished_at  timestamp not null,
  unique(listing_id, platform, published_at)
);

create table version_nearby_cache(
  id         bigserial primary key,
  version_id bigint not null unique,
  created    timestamp not null default now(),
  stations   jsonb not null
);
