drop view versions_list;

alter table version_publications drop column if exists invoice_id;

create view versions_list as select
  id,
  listing_id,
  property_id,
  tenancy_id,
  ivr,
  status,
  description,
  details,
  people,
  rental,
  location,
  valuation,
  verification,
  validation,
  viewing_availability,
  invitation,
  flags,
  created,
  updated,
  migrated_id,
  (select jsonb_agg(foo.*) from (select * from version_publications where
    version_publications.listing_id = versions.listing_id and platform = 1 order by id asc
  ) foo) as publications_mashroom,
  (select jsonb_agg(foo.*) from (select * from version_publications where
    version_publications.listing_id = versions.listing_id and platform = 2 order by id asc
  ) foo) as publications_rightmove,
  (select jsonb_agg(foo.*) from (select * from version_publications where
    version_publications.listing_id = versions.listing_id and platform = 3 order by id asc
  ) foo) as publications_zoopla,
  (select jsonb_agg(foo.*) from (select * from version_publications where
    version_publications.listing_id = versions.listing_id and platform = 4 order by id asc
  ) foo) as publications_boomin,
  coalesce(
    (select published_at from version_publications where
      version_publications.listing_id = versions.listing_id and
      (version_publications.expire_at > now() or version_publications.expire_at <= '1970-01-01'::timestamp) and
      version_publications.unpublished_at <= '1970-01-01'::timestamp
      order by published_at desc limit 1),
    '0001-01-01'::timestamp
  ) as published
from versions;
