update versions set
  invitation = jsonb_set(
    jsonb_set(
      invitation,
      '{manager_invitation,host_id}',
      coalesce(invitation->'manager_invitation'->'inviter_id', people->'landlord')
    ),
    '{manager_invitation,invitee_name}',
    coalesce(
      to_jsonb(trim(invitation->'manager_invitation'->>'invitee_first_name') ||
        ' ' ||
        trim(invitation->'manager_invitation'->>'invitee_last_name')),
      '""'::jsonb
    )
  )
where
  invitation->'manager_invitation'->>'sent' is not null;

update versions set
  invitation = jsonb_set(
    jsonb_set(
      invitation,
      '{landlord_invitation,host_id}',
      coalesce(invitation->'landlord_invitation'->'inviter_id', people->'landlord')
    ),
    '{landlord_invitation,invitee_name}',
    coalesce(
      to_jsonb(trim(invitation->'landlord_invitation'->>'invitee_first_name') ||
        ' ' ||
        trim(invitation->'landlord_invitation'->>'invitee_last_name')),
      '""'::jsonb
    )
  )
where
  invitation->'landlord_invitation'->>'sent' is not null;
