package model

import "time"

// Preface represents anonymous preface listing statement
type Preface struct {
	Created     time.Time          `db:"created"`
	Updated     time.Time          `db:"updated"`
	Timezone    string             `db:"timezone"`
	ClientID    string             `db:"client_id"`
	MigratedID  string             `db:"migrated_id"` // temporary
	ID          uint64             `db:"id"`
	Description VersionDescription `db:"description"`
	Details     VersionDetails     `db:"details"`
	Rental      VersionRental      `db:"rental"`
	Location    VersionLocation    `db:"location"`
	Valuation   VersionValuation   `db:"valuation"`
	Validation  VersionValidation  `db:"validation"`
}
