// Package process contains BPM processes for deploy to BPM engine
package process

import (
	"embed"

	listing "gitlab.mashroom.com/mashroom/backend/listing/api"
)

// Processes is index to get BPM workflow file by process ID.
var Processes = map[string]string{
	listing.PropertyListProcessID:           "property-listing.bpmn",
	listing.PropertyInviteProcessID:         "property-invite.bpmn",
	listing.PropertyOfferProcessID:          "property-offer.bpmn",
	listing.TenancyPostTerminationProcessID: "tenancy-post-termination.bpmn",
}

// FS accessor to embedded files
//
//go:embed *.bpmn
var FS embed.FS
