package service

import (
	listing "gitlab.mashroom.com/mashroom/backend/listing/api"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/model"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/service/render"
	"google.golang.org/protobuf/types/known/timestamppb"
	"google.golang.org/protobuf/types/known/wrapperspb"
)

func (srv *serviceImpl) renderPreface(m *model.Preface) *listing.Preface {
	ver := &listing.Preface{
		ClientId:    m.ClientID,
		CreatedAt:   timestamppb.New(m.Created),
		UpdatedAt:   timestamppb.New(m.Updated),
		Location:    render.Location(&m.Location, true),
		Details:     render.Details(&m.Details),
		Rental:      render.Rental(&m.Rental, true),
		Description: render.Description(&m.Description),
		Validation:  render.Validation(&m.Validation),
		Valuation:   render.Valuation(&m.Valuation),
	}

	if ver.GetDescription().GetPostPropertyPitch().GetValue() == "" {
		ver.Description.PostPropertyPitch = wrapperspb.String(render.GenerateDescription(
			ver.GetDetails(),
			ver.GetDescription(),
			ver.GetLocation(),
		))
	}

	return ver
}
