package service

import (
	"context"

	listing "gitlab.mashroom.com/mashroom/backend/listing/api"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/model"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/service/render"
)

func (srv *serviceImpl) renderVersions(
	ctx context.Context,
	ms []*model.Version,
	user string,
) []*listing.Version {
	lvs := make([]*listing.Version, 0)
	for _, m := range ms {
		lvs = append(lvs, srv.renderVersion(ctx, m, user))
	}

	return lvs
}

func (srv *serviceImpl) renderVersion(
	ctx context.Context,
	m *model.Version,
	user string,
) *listing.Version {
	nearby, _ := srv.renderNearby(ctx, m.ID, &m.Location.GPS)

	return render.Version(ctx, m, nearby, user)
}
