package service

import (
	"gitlab.mashroom.com/mashroom/backend/common/api/grpcerr"
)

var (
	// errValidationErrors is used when validation errors are preventing from completion of operation
	errValidationErrors = grpcerr.New(grpcerr.InvalidData, "property listing data has validation errors")
	// errAdminVerificationRequired is used when admin try publish listing version without admin verification
	errAdminVerificationRequired = grpcerr.New(grpcerr.InvalidState, "full set of admin verifications required")
	// errAccessDenied is used when user not allowed to modify or view the property
	errAccessDenied = grpcerr.New(grpcerr.AuthError, "access denied")
)

type serviceImpl struct {
	Config
}
