package service

import (
	"context"

	"gitlab.mashroom.com/mashroom/backend/common/generic/optional"

	listing "gitlab.mashroom.com/mashroom/backend/listing/api"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/model"
)

func (srv *serviceImpl) ValuationGet(
	ctx context.Context,
	req *listing.ValuationGetRequest,
) (*listing.ValuationGetResponse, error) {
	_, raw, err := srv.updateValuation(ctx, &model.VersionLocation{
		Postcode: req.GetPostcode(),
		Flat:     req.GetFlat(),
		Building: req.GetBuilding(),
		Street:   req.GetStreet(),
		GPS:      model.GpsCoordinates{},
	}, &model.VersionDetails{
		BedroomsNo:       optional.NewInt32(req.GetBedroomsNo()),
		Type:             req.GetType(),
		AmenityFurniture: req.GetFurniture(),
	})
	if err != nil {
		return nil, err
	}

	return &listing.ValuationGetResponse{
		Data: raw,
	}, nil
}
