// Package inactive provides archiving of inactive listings
package inactive

import (
	"context"
	"time"

	"gitlab.mashroom.com/mashroom/backend/listing/internal/model"
	schedule "gitlab.mashroom.com/mashroom/backend/schedule/api"
)

// Config for a task
type Config struct {
	Repository model.Repository
}

// New returns new task instance
func New(config *Config) (schedule.Handler, error) {
	return &handlerImpl{
		Config: *config,
	}, nil
}

type handlerImpl struct {
	Config
}

func (h *handlerImpl) Name() string {
	return "listing-archive-inactive"
}

func (h *handlerImpl) Consume(
	ctx context.Context,
	req *schedule.Reminder_ConsumeRequest,
	data []byte,
	now time.Time,
) error {
	return h.Repository.VersionArchiveInactive(ctx, now)
}
